#target photoshop
var newPath = decodeURI(WhoAmI().parent);
var SCRIPTS_FOLDER =  decodeURI(app.path + '/' + localize("$$$/ScriptingSupport/InstalledScripts=Presets/Scripts"));
var testFile = new File(SCRIPTS_FOLDER + "/FundySecurityTest.txt");
testFile.open("w");
testFile.close();

if(!testFile.exists){
	alert("You must run Photoshop as Administrator to run this install script\rRight click on Photoshop and select Run as administrator");
	}else{
testFile.remove();
var SELDEX_SCRIPTS_FOLDER =  decodeURI(app.path + '/' + localize("$$$/ScriptingSupport/InstalledScripts=Presets/Scripts")+"/Seldex Scripts Only");

CreateDirectory(SELDEX_SCRIPTS_FOLDER);


var actionList =getActionSets();

for(var d in actionList){
	var str = decodeURI(actionList[d]);
	//Use an unique action set name
	if(str.match(/tryouts/i) ) unLoadAction(actionList[d]);
	}

var atnXML = new File(newPath+"/Seldex.xml");
var atnXMLout = new File(newPath+"/Seldex1.xml");
var atnOut = new File(newPath+"/SD Seldex Only.atn");
if(atnOut.exists) atnOut.remove();
if(atnXMLout.exists) atnXMLout.remove();
atnXML.open("r");
var xmlFILE = atnXML.read();
atnXML.close();
xmlFILE = xmlFILE.replace (/replaceme/gi, SELDEX_SCRIPTS_FOLDER);
atnXMLout.open("w");
atnXMLout.write(xmlFILE);
atnXMLout.close();
eval('//@include "'+newPath+'/actionFileFromXML.jsx";\r');
var atnList =Folder(newPath).getFiles ("*.atn");

for(var y=0;y< atnList.length;y++){
	loadActionSets(atnList[y].fsName);
}
var scriptList =[];
//create a list of file manually so that other scripts are not affected.
scriptList[0] = File(newPath+"/"+"Open.jsx"); //////////////////////////////////////////////////// File names changed to suit..
scriptList[1] = File(newPath+"/"+"AddImage.jsx");
scriptList[2] = File(newPath+"/"+"Save.jsx");
scriptList[3] = File(newPath+"/"+"SaveAs.jsx");
scriptList[4] = File(newPath+"/"+"ProcessSeldex.jsx");
scriptList[5] = File(newPath+"/"+"AddToLeft.jsx");
scriptList[6] = File(newPath+"/"+"AddToRight.jsx");
scriptList[7] = File(newPath+"/"+"AlbumPreview.jsx");
scriptList[8] = File(newPath+"/"+"HalfTheSpread.jsx");
scriptList[9] = File(newPath+"/"+"CropToSize.jsx");
scriptList[10] = File(newPath+"/"+"OpenTemplate.jsx");
for(var z=0;z< scriptList.length;z++){
scriptList[z].copy((Folder(SELDEX_SCRIPTS_FOLDER)+"/"+scriptList[z].name));
}
//Install the Uninstall to Preset/Scripts folder
var Uninstall = File(newPath+"/"+"Seldex Uninstall.jsx");
Uninstall.copy((Folder(SCRIPTS_FOLDER)+"/"+"Seldex Uninstall.jsx"));

alert("Thank you for using Seldex");
}
function WhoAmI() {
var where;
	try {var F = FO;
		}catch( err ) {where = File(err.fileName);}
	return where;
}
function loadActionSets(ActionSet){
var desc = new ActionDescriptor(); 
desc.putPath( charIDToTypeID( "null" ), new File( ActionSet)); 
executeAction( charIDToTypeID( "Opn " ), desc, DialogModes.NO ); 
}
function getActionSets() { 
cTID = function(s) { return app.charIDToTypeID(s); }; 
  var i = 1; 
  var sets = [];  
  while (true) { 
    var ref = new ActionReference(); 
    ref.putIndex(cTID("ASet"), i); 
    var desc; 
    var lvl = $.level; 
    $.level = 0; 
    try { 
      desc = executeActionGet(ref); 
    } catch (e) { 
      break;
    } finally { 
      $.level = lvl; 
    } 
    if (desc.hasKey(cTID("Nm  "))) { 
      var set = {}; 
      set.index = i; 
      set.name = desc.getString(cTID("Nm  ")); 
      set.toString = function() { return this.name; }; 
      set.count = desc.getInteger(cTID("NmbC")); 
      set.actions = []; 
      for (var j = 1; j <= set.count; j++) { 
        var ref = new ActionReference(); 
        ref.putIndex(cTID('Actn'), j); 
        ref.putIndex(cTID('ASet'), set.index); 
        var adesc = executeActionGet(ref); 
        var actName = adesc.getString(cTID('Nm  ')); 
        set.actions.push(actName); 
      } 
      sets.push(set); 
    } 
    i++; 
  } 
  return sets; 
}; 
function unLoadAction(aSet){
var desc = new ActionDescriptor(); 
var ref = new ActionReference(); 
ref.putName( charIDToTypeID( "ASet" ), decodeURI(aSet)); 
desc.putReference( charIDToTypeID( "null" ), ref ); 
executeAction( charIDToTypeID( "Dlt " ), desc, DialogModes.NO );
};
function CreateDirectory(Directory){
var cPathFold = new Folder(Directory);
if (cPathFold.exists == false) cPathFold.create();
}