﻿var slash = "/";
var name_plugin = "Seldex";
var name_contents = "contents";
var path_content = app.path+slash+"Plug-ins"+slash+"Panels"+slash+name_plugin+slash+name_contents;
var text_message = "By clicking OK, I agree that I have followed the instructions for making Seldex Custom Mat Albums from Seldex or one of our partners. All images are at least 6mm from each other. All images are at least 13mm away from the edge of the album.";

function removeAllNamedbyTLDONOTDELETEArtLayers(obj) {
    for( var i = obj.artLayers.length-1; 0 <= i; i--) {
        try {
			if (obj.artLayers[i].name == "Trim Line - DO NOT DELETE")
			{
			obj.artLayers[i].remove();
			}
		} 
        catch (e) {
        }
    }
    for( var i = obj.layerSets.length-1; 0 <= i; i--) {
        removeAllNamedbyTLDONOTDELETEArtLayers(obj.layerSets[i]);
    }
	obj.save();
}
function openTemplate(){ 
	
	var open_template =File(path_content+slash+"OpenTemplate.jsx");
    if(!open_template.exists){
        alert("Can\'t find script for Open Template");
        return;
    }
    try{
        $.evalFile(open_template);
    }catch(e){}
}
  

function save(){
	try{
		var path = app.activeDocument.path;
		removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);
		app.activeDocument.save();
	}catch(e){			
		saveAs();
	}  
}
function saveAs(){       
	var saveRef = File.saveDialog ('Save As') ;
   
	if ( saveRef ) {
		removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);
		app.activeDocument.saveAs( saveRef );
	} 
}
	
function processAlbum(){
	var dlg=
	"dialog{text:'Seldex Alert',bounds:[100,100,510,270],"+
	"panel0:Panel{bounds:[10,10,400,160] , text:'' ,properties:{borderStyle:'etched',su1PanelCoordinates:true},"+
	"title:StaticText{bounds:[10,10,375,90] , text:'"+text_message+"' , properties:{scrolling:false,multiline:true}},"+
	"button0:Button{bounds:[270,100,370,130] , text:'OK' },"+
	"button1:Button{bounds:[160,100,260,130] , text:'Cancel' }}}";
	win = new Window(dlg);
	if(version.substr(0,version.indexOf('.'))>9){
	win.panel0.title.graphics.font = ScriptUI.newFont("Tahoma",13);
	win.panel0.button0.graphics.font = ScriptUI.newFont("Tahoma","BOLD",12);
	g = win.graphics;
	var myBrush = g.newBrush(g.BrushType.SOLID_COLOR, [1.00, 1.00, 1.00, 1]);
	g.backgroundColor = myBrush;
	var myPen =g.newPen (g.PenType.SOLID_COLOR, [1.00, 0.00, 0.00, 1],lineWidth=1);
	}
	win.panel0.button0.onClick = function() {
		win.close ();
		showProcessAlbum();
	}
	win.center();
	win.show();
}

function showProcessAlbum()
{
	var process_seldex =File(path_content+slash+"ProcessSeldex.jsx");
    if(!process_seldex.exists){
        alert("Can\'t find button Process Seldex Math Album");
        return;
    }
    try{
        $.evalFile(process_seldex);
    }catch(e){}
}

function createPreview(){
	var process_seldex =File(path_content+slash+"AlbumPreview.jsx");
    if(!process_seldex.exists){
        alert("Can\'t find button create Preview Album");
        return;
    }
    try{
        $.evalFile(process_seldex);
    }catch(e){}
}

function addImage()
{
	removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);
	var process_seldex =File(path_content+slash+"AddImage.jsx");
    if(!process_seldex.exists){
        alert("Can\'t find script for function Add Image  Album");
        return;
    }
    try{
        $.evalFile(process_seldex);
    }catch(e){}
	/*
    var Expire = false;
	var min = 60000;
	var hour = 3600000;
	var day = 86400000;
	var week = 604800000;
	var month = week * 4;
	var year = month * 12;
	var StartTime =0; 
	var fab = new File(app.preferencesFolder +"/fab35.psp");
	if(!fab.exists){
	fab.open("w");
	fab.write(new Date().getTime());
	fab.close();
	}
	fab.open("r");
	StartTime = parseInt(fab.read());
	fab.close();
	var EndTime = day * 14; 
	var closeDate = StartTime + EndTime;
	function main(){
	var dlg=
	"dialog{text:'Seldex Add Image',bounds:[100,100,510,200],"+
	"panel0:Panel{bounds:[10,10,400,90] , text:'' ,properties:{borderStyle:'etched',su1PanelCoordinates:true},"+
	"title:StaticText{bounds:[10,10,245,30] , text:'Choose size and click OK to add an image' ,properties:{scrolling:undefined,multiline:undefined}},"+
	"Size:DropDownList{bounds:[310,40,380,60]},"+
	"statictext1:StaticText{bounds:[270,40,309,60] , text:'Size' ,properties:{scrolling:undefined,multiline:undefined}},"+
	"button0:Button{bounds:[20,40,120,60] , text:'OK' },"+
	"button1:Button{bounds:[140,40,240,60] , text:'Cancel' }}}";
	win = new Window(dlg);
	if(version.substr(0,version.indexOf('.'))>9){
	win.panel0.title.graphics.font = ScriptUI.newFont("Arial","BOLDITALIC",14);
	g = win.graphics;
	var myBrush = g.newBrush(g.BrushType.SOLID_COLOR, [1.00, 1.00, 1.00, 1]);
	g.backgroundColor = myBrush;
	var myPen =g.newPen (g.PenType.SOLID_COLOR, [1.00, 0.00, 0.00, 1],lineWidth=1);
	}
	win.center();
	//win.panel0.title.helpTip="www.FundySOS.com";
	var resizePic = ["100%","125%","150%"];
	for(var a in resizePic){
		item = win.panel0.Size.add ('item', "" +resizePic[a]); 
		}
	win.panel0.Size.selection=0;

	var done = false; 
		while (!done) { 
		  var x = win.show(); 
		  if (x == 0 || x == 2) {
			win.canceled = true;
			var doaction = undefined;
			done = true; 
		  } else if (x == 1) { 
			done = true; 
		   var result = valiDate();
			if(result != true) {
				alert(result);
				return;
			}else
			{
			
			photoIt();
			}
		  } 
	   } 
	}
	if(Expire){
	hasExpired();
	}else{
	if(documents.length) main();
	};

	function hasExpired(){
	if(closeDate < new Date().getTime() || new Date().getTime() < StartTime) {
	alert("This Script has EXPIRED!");
		return;
		}
	if(documents.length) main();
	}

	function valiDate(){
	return true;
	};


	function photoIt(doaction){
	var copyFX=true;
	var FillColor = new SolidColor;
	FillColor.rgb.hexValue = 'ff0000'; 
	var strtRulerUnits = app.preferences.rulerUnits;
	var strtTypeUnits = app.preferences.typeUnits;
	app.preferences.rulerUnits = Units.PIXELS;
	app.preferences.typeUnits = TypeUnits.PIXELS;
	var Doc = activeDocument;
	groupSelectedLayers(); 
	var groupLayers = activeDocument.activeLayer.layers; 
	var selectedLayers = new Array; 
	var oName = new Array;
	var origNames=[];
	for(var i=0;i<groupLayers.length;i++){ 
		selectedLayers.push(groupLayers[i]); 
		origNames.push(groupLayers[i].name);
	} 
	executeAction( charIDToTypeID('undo'), undefined, DialogModes.NO );
	if(selectedLayers.length == 0) return;
	app.activeDocument.activeLayer = selectedLayers[selectedLayers.length - 1];

	for(var i=0;i<selectedLayers.length;i++){ 
		Doc.activeLayer = selectedLayers[i]; 
		var tname = getName(oName);
		oName.push(tname);
		selectedLayers[i].name = "Temp Layer"+i;
	}

	for(var i=0;i<selectedLayers.length;i++){ 
	var layerName = selectedLayers[i];
	app.activeDocument = Doc;  
	Doc.activeLayer = layerName; 
	unSelectMask();
	Doc.selection.selectAll();
	Doc.selection.fill(FillColor);

	Doc.selection.deselect();
	waitForRedraw();
	selectLayerMask(layerName.name); 

	if(!hasFX()){copyFX=false};
	 var LB = activeDocument.activeLayer.bounds;
	 var res = activeDocument.resolution;
	 var width = LB[2]-LB[0];
	 var height = LB[3]-LB[1];

		var File1 = File.openDialog("Please select Image","*.*");
			open(File1);
			removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);	
		var layerFullName = decodeURI(activeDocument.fullName);
		 var dwidth = activeDocument.width.value; 
		  var dheight = activeDocument.height.value; 
		
		  var ratio = height/width; 
		  var dratio = dheight/dwidth; 
		  
		  if (dratio > ratio) { 
				height = undefined; 
				switch(win.panel0.Size.selection.index){
					case 1: width = width * 1.25; break;
					case 2: width = width * 1.50; break;
					default: break;
				}
		  } else { 
				width = undefined; 
				switch(win.panel0.Size.selection.index){
					case 1: height = height * 1.25; break;
					case 2: height = height * 1.50; break;
					default: break;
				}
		  } 
		activeDocument.resizeImage(width, height, res, ResampleMethod.BICUBICSHARPER);
		activeDocument.flatten();
		activeDocument.selection.selectAll();
		activeDocument.selection.copy();
		app.activeDocument.close(SaveOptions.DONOTSAVECHANGES); 
		activeDocument = Doc;
		Doc.activeLayer = layerName;
		selArea();
		Doc.paste(true);
		if(copyFX){
			pasteStyle();
		}
		freeTransform(LB);
		linkLayer();
		Doc.activeLayer.name = layerFullName;
		var newLayer = Doc.activeLayer;
		Doc.activeLayer = layerName;
		deleteLayer();	
		app.purge(PurgeTarget.HISTORYCACHES);
		Doc.activeLayer = newLayer;
		$.gc();
		} 
	app.preferences.rulerUnits = strtRulerUnits;
	app.preferences.typeUnits = strtTypeUnits;
	}
	function getName(oName){
		var r = "layer_"+Math.round (Math.random()*100000);
		for(var i=0;i<oName.length;i++){
			if(oName[i] == r)
				return getName(oName);
		}
		return r;
	}
	function selectLayerMask (LayerName) { 
	var desc20 = new ActionDescriptor();var ref17 = new ActionReference(); 
	ref17.putEnumerated( charIDToTypeID( "Chnl" ), charIDToTypeID( "Chnl" ), charIDToTypeID( "Msk " ) ); 
	ref17.putName( charIDToTypeID( "Lyr " ), LayerName ); 
	desc20.putReference( charIDToTypeID( "null" ), ref17 ); 
	desc20.putBoolean( charIDToTypeID( "MkVs" ), false ); 
	executeAction( charIDToTypeID( "slct" ), desc20, DialogModes.NO ); 
	}
	function groupSelectedLayers(){ 
		var desc = new ActionDescriptor(); 
			var ref = new ActionReference(); 
			ref.putClass( stringIDToTypeID( "layerSection" ) ); 
		desc.putReference( charIDToTypeID( "null" ), ref ); 
			var ref2 = new ActionReference(); 
			ref2.putEnumerated( charIDToTypeID( "Lyr " ), charIDToTypeID( "Ordn" ), charIDToTypeID( "Trgt" ) ); 
		desc.putReference( charIDToTypeID( "From" ), ref2 ); 
	executeAction(charIDToTypeID( "Mk  " ), desc, DialogModes.NO ); 
	}
	function hasFX(){
		var id2806 = charIDToTypeID( "CpFX" );
	try{
	executeAction( id2806, undefined, DialogModes.NO );
	return true;
	}catch(e){return false;}
	}
	function copyStyle(){
		var id2806 = charIDToTypeID( "CpFX" );
	executeAction( id2806, undefined, DialogModes.NO );
	}
	function pasteStyle(){
	var id2817 = charIDToTypeID( "PaFX" );
		var desc459 = new ActionDescriptor();
	executeAction( id2817, desc459, DialogModes.NO );
	}	


	function freeTransform(bnds) { 
	var orient = 'horz';
	  var newW = bnds[2]-bnds[0]; 
	  var newH = bnds[3]-bnds[1]; 
	  var oldW = bnds[2]-bnds[0]; 
	  var oldH = bnds[3]-bnds[1]; 
	  var hrzn = bnds[0] - (bnds[0] - (newW-oldW)/2+1); 
	  var vrtc = bnds[1] - (bnds[1] - (newH-oldH)/2+1); 
	  var prc; 
	  if (orient == 'horz') { 
		  switch(win.panel0.Size.selection.index){
	   case 0: prc = (newW/oldW) * 100; break;
	   case 1: prc = (newW/oldW) * 125; break;
	   case 2: prc = (newW/oldW) * 150; break;
	   default: break;
		}
	  } else { 
		  switch(win.panel0.Size.selection.index){
		case 0: prc = (newH/oldH) * 100; break;
		case 0: prc = (newH/oldH) * 100; break;
		case 0: prc = (newH/oldH) * 100; break;
		default: break;
		}
	  } 
		var desc = new ActionDescriptor(); 
		var ref = new ActionReference(); 
		ref.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') ); 
		desc.putReference( charIDToTypeID('null'), ref ); 
		desc.putEnumerated( charIDToTypeID('FTcs'), charIDToTypeID('QCSt'), charIDToTypeID('Qcsa') ); 
		var ldesc = new ActionDescriptor(); 
		ldesc.putUnitDouble( charIDToTypeID('Hrzn'), charIDToTypeID('#Pxl'), hrzn ); 
		ldesc.putUnitDouble( charIDToTypeID('Vrtc'), charIDToTypeID('#Pxl'), vrtc ); 
		desc.putObject( charIDToTypeID('Ofst'), charIDToTypeID('Ofst'), ldesc ); 
		//desc.putUnitDouble( charIDToTypeID('Wdth'), charIDToTypeID('#Prc'), prc ); 
		//desc.putUnitDouble( charIDToTypeID('Hght'), charIDToTypeID('#Prc'), prc ); 
		executeAction( charIDToTypeID('Trnf'), desc, DialogModes.ALL ); 
	};
	function selArea(){
	var desc467 = new ActionDescriptor();
			var ref331 = new ActionReference();
			ref331.putProperty( charIDToTypeID('Chnl'), charIDToTypeID('fsel') );
		desc467.putReference( charIDToTypeID('null'), ref331 );
			var ref332 = new ActionReference();
			ref332.putEnumerated( charIDToTypeID('Chnl'), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') );
		desc467.putReference( charIDToTypeID('T   '), ref332 );
		executeAction( charIDToTypeID('setd'), desc467, DialogModes.NO );
	};
	function linkLayer(){
	   var desc460 = new ActionDescriptor();
			var ref42 = new ActionReference();
			ref42.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') );
		desc460.putReference( charIDToTypeID('null'), ref42 );
			var desc461 = new ActionDescriptor();
			desc461.putBoolean( charIDToTypeID('Usrs'), true );
		desc460.putObject( charIDToTypeID('T   '), charIDToTypeID('Lyr '), desc461 );
		executeAction( charIDToTypeID('setd'), desc460, DialogModes.NO );
	};
	function deleteLayer() {
	   var desc469 = new ActionDescriptor();
			var ref48 = new ActionReference();
			ref48.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') );
		desc469.putReference( charIDToTypeID('null'), ref48 );
		executeAction( charIDToTypeID('Dlt '), desc469, DialogModes.NO );
	};
	function unSelectMask() {
		var desc28 = new ActionDescriptor();
			var ref14 = new ActionReference();
			ref14.putEnumerated( charIDToTypeID('Chnl'), charIDToTypeID('Chnl'), charIDToTypeID('RGB ') );
		desc28.putReference( charIDToTypeID('null'), ref14 );
		desc28.putBoolean( charIDToTypeID('MkVs'), false );
		executeAction( charIDToTypeID('slct'), desc28, DialogModes.NO );
	};

	function waitForRedraw() {
	  var desc = new ActionDescriptor();
	  desc.putEnumerated(charIDToTypeID("Stte"), charIDToTypeID("Stte"), charIDToTypeID("RdCm"));
	  executeAction(charIDToTypeID("Wait"), desc, DialogModes.NO);
	};
	*/
}
//halftheSpread
function halftheSpread(){
	var process_seldex =File(path_content+slash+"HalfTheSpread.jsx");
    if(!process_seldex.exists){
        alert("Can\'t find script for function Half The Spread Image  Album");
        return;
    }
    try{
        $.evalFile(process_seldex);
    }catch(e){}
	/*
	var dlg1 = "dialog{text:'Half the Spread',bounds:[100,100,365,200],"+
	"panel0:Panel{bounds:[10,10,255,90] , text:'' ,properties:{borderStyle:'etched',su1PanelCoordinates:true},"+
	"statictext1:StaticText{bounds:[15,10,70,30] , text:'Crop the ' ,properties:{scrolling:undefined,multiline:undefined}},"+
	"crop:DropDownList{bounds:[77,8,180,30],text:''},"+
	"statictext1:StaticText{bounds:[192,10,220,30] , text:'side' ,properties:{scrolling:undefined,multiline:undefined}},"+
	"btnProcess:Button{bounds:[120,40,230,70] , text:'Process' },"+
	"button1:Button{bounds:[10,40,110,70] , text:'Cancel' }"+
	"}}";
	
	win1 = new Window(dlg1);
	win1.center();
	var options =["Left","Right"];
	
	for (var z =0; z<options.length;z++){
		win1.panel0.crop.add ('item', options[z]); 	
	}
	win1.panel0.crop.selection = 0;
	
	win1.panel0.btnProcess.onClick = function(){
        var chooseOption = win1.panel0.crop.selection.index;
		if(app.documents.length ==0){	
			var loadFile = File.openDialog ("Please Select Texture", "Select:*.jpg;*.jpe;*.gif;*.eps;*.dng;*.bmp;*.tif;*.tiff;*.psd;*.crw;*.cr2;*.rle;*.dib;*.cin;*.dpx;*.ps;*.pcd;*.pict;*.vda;*.icb;*.vst;*.wbm;*.sct;*.pbm;*.flm;*.psb;*.exr;*.pcx;*.pdp;*.nef;*.dcr;*.dc2;*.erf;*.raf;*.orf;*.tga;*.mrw;*.mos;*.srf;*.pic;*.pct;*.pxr;*.pdd;*.pef;*.png;*.x3f;*.raw;*.rw2");
			open(loadFile); 
			removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);	
		}
		
								
		app.activeDocument.selection.selectAll();
        var mBound = app.activeDocument.selection.bounds;
		mWidth = mBound[2]- mBound[0];
        mHeight = mBound[3]- mBound[1];
		
		if(chooseOption==1){
			var bounds_crop  = new Array(0,0,parseFloat(mWidth/2),mHeight);
		}else{
			var bounds_crop  = new Array(parseFloat(mWidth/2),0,parseFloat(mWidth),mHeight);
		}
		
		app.activeDocument.crop(bounds_crop);
		win1.close();
    }
			
	win1.center();
	win1.show();
	*/
}

//processPreCutMats
function processPreCutMats(){
	var process_seldex =File(path_content+slash+"PreCutMats.jsx");
    if(!process_seldex.exists){
        alert("Can\'t find script for function PreCutMats Image  Album");
        return;
    }
    try{
        $.evalFile(process_seldex);
    }catch(e){}

	/*
	if(app.documents.length ==0){		
		var inputFolder = Folder.selectDialog("Please select the folder with Files to process",'');	
		var fileList = inputFolder.getFiles(/\.(jpg|jpe|gif|eps|dng|bmp|tif|tiff|psd|crw|cr2|rle|dib|cin|dpx|ps|pcd|pict|vda|icb|vst|wbm|sct|pbm|flm|psb|exr|pcx|pdp|nef|dcr|dc2|erf|raf|orf|tga|mrw|mos|srf|pic|pct|pxr|pdd|pef|png|x3f|raw|rw2)$/i);
		if(fileList.length>0){
			for(var i=0; i<fileList.length; i++){
				open(fileList[i]);
				removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);	
				var outFolder = Folder(decodeURI(inputFolder.fsName)+ "/Processed Album");
				if(!outFolder.exists) outFolder.create();
				var outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +".jpg"));
				if(outFile.exists){
					outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +"_"+Math.floor(Math.random()*100)+".jpg"));
				}
				SaveJPEG(outFile,12);
				app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
							
			}
		}
		
	}else{
		var curName = app.activeDocument.name;
		var inputFolder = Folder.selectDialog("Please select the folder with Files to process",'');	
		if(inputFolder !=null){
			var outFolder = Folder(decodeURI(inputFolder.fsName)+ "/Processed Album");
            if(!outFolder.exists) outFolder.create();
			for(var i=0;i<app.documents.length;i++){
				app.activeDocument = app.documents[i];
				var outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +".jpg"));
				if(outFile.exists){
					outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +"_"+Math.floor(Math.random()*100)+".jpg"));
				}
				SaveJPEG(outFile,12);
			}
			
			app.activeDocument = app.documents.getByName(curName);
		}
	}
	*/
}

function cropToSize(){
	var process_seldex =File(path_content+slash+"CropToSize.jsx");
    if(!process_seldex.exists){
        alert("Can\'t find script for function Crop To Size Image  Album");
        return;
    }
    try{
        $.evalFile(process_seldex);
    }catch(e){}
/*
	var dlg2 = "dialog{text:'Crop To Size',bounds:[100,100,565,200],"+
	"panel0:Panel{bounds:[10,10,455,90] , text:'' ,properties:{borderStyle:'etched',su1PanelCoordinates:true},"+
	"statictext1:StaticText{bounds:[15,10,140,30] , text:'Please choose height ' ,properties:{scrolling:undefined,multiline:undefined}},"+
	"txtHeight:EditText{bounds:[140,9,180,30] , text:'' ,properties:{multiline:false,noecho:false,readonly:false}},"+
	"optionHeight:DropDownList{bounds:[185,8,250,30],text:''},"+
	"statictext1:StaticText{bounds:[255,10,310,30] , text:'and width' ,properties:{scrolling:undefined,multiline:undefined}},"+
	"txtWidth:EditText{bounds:[315,9,355,30] , text:'' ,properties:{multiline:false,noecho:false,readonly:false}},"+
	"optionWidth:DropDownList{bounds:[360,8,425,30],text:''},"+
	
	"btnProcess:Button{bounds:[228,40,346,70] , text:'Process' },"+
	"button1:Button{bounds:[100,40,218,70] , text:'Cancel' }"+
	"}}";
	win2 = new Window(dlg2);
	win2.center();
	var options =["inch","mm"];
	for (var z =0; z<options.length;z++){
		win2.panel0.optionHeight.add ('item', options[z]); 	
		win2.panel0.optionWidth.add ('item', options[z]); 	
	}
	win2.panel0.optionHeight.selection = 0;
	win2.panel0.optionWidth.selection = 0;
	win2.panel0.btnProcess.onClick = function(){
	
		if(win2.panel0.txtHeight.text==""){
				alert('Height can not empty');
				return;
			}
			if(win2.panel0.txtWidth.text==""){
				alert('Width can not empty');
				return;
			}
			
			var width =  parseFloat(win2.panel0.txtWidth.text);
			var height =  parseFloat(win2.panel0.txtHeight.text);
			var chooseOptionHeight = win2.panel0.optionHeight.selection.index;
			if(chooseOptionHeight){
				height = Mm2Inch(height);
			}
			var chooseOptionWidth = win2.panel0.optionWidth.selection.index;
			if(chooseOptionWidth){
				width = Mm2Inch(width);
			}
		// CHON FOLDER
		var inputFolder = Folder.selectDialog("Please select the folder with Files to process",'');	
		var fileList = inputFolder.getFiles(/\.(jpg|jpe|gif|eps|dng|bmp|tif|tiff|psd|crw|cr2|rle|dib|cin|dpx|ps|pcd|pict|vda|icb|vst|wbm|sct|pbm|flm|psb|exr|pcx|pdp|nef|dcr|dc2|erf|raf|orf|tga|mrw|mos|srf|pic|pct|pxr|pdd|pef|png|x3f|raw|rw2)$/i);
		if(fileList.length>0){
			var strtRulerUnits = app.preferences.rulerUnits;
			app.preferences.rulerUnits = Units.INCHES;
			for(var i=0; i<fileList.length; i++){
				open(fileList[i]);
				removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);	
				var outFolder = Folder(decodeURI(inputFolder.fsName)+ "/cropped images");
				if(!outFolder.exists) outFolder.create();
				var curName = app.activeDocument.name;
				app.activeDocument.resizeCanvas(width , height, AnchorPosition.MIDDLECENTER);
				var outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +".jpg"));
				if(outFile.exists){
					outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +"_"+Math.floor(Math.random()*100)+".jpg"));
				}
				SaveJPEG(outFile,12);
				app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
				
							
			}
			app.preferences.rulerUnits = strtRulerUnits;
			win2.close();
		}
		//END
		
	}
	win2.show();
	*/
}

function SaveJPEG(saveFile, jpegQuality){
    jpgSaveOptions = new JPEGSaveOptions();
    jpgSaveOptions.embedColorProfile = true;
    jpgSaveOptions.formatOptions = FormatOptions.STANDARDBASELINE;
    jpgSaveOptions.matte = MatteType.NONE;
    jpgSaveOptions.quality = jpegQuality; //1-12
    activeDocument.saveAs(saveFile, jpgSaveOptions, true,Extension.LOWERCASE);
}

function Mm2Inch($mmValue){
	$inchValue = $mmValue*0.0393700787;
	return $inchValue;
}


//add to left and add to right

function addToLeft(){
	var add_To_Left =File(path_content+slash+"AddToLeft.jsx");
    if(!add_To_Left.exists){
        alert("Can\'t find script for function Add to left Template");
        return;
    }
    try{
        $.evalFile(add_To_Left);
    }catch(e){}

}
function addToRight(){
	var add_To_Right =File(path_content+slash+"AddToRight.jsx");
    if(!add_To_Right.exists){
        alert("Can\'t find script for function Add to right Template");
        return;
    }
    try{
        $.evalFile(add_To_Right);
    }catch(e){}

}

