	function removeAllNamedbyTLDONOTDELETEArtLayers(obj) {
		for( var i = obj.artLayers.length-1; 0 <= i; i--) {
			try {
				if (obj.artLayers[i].name == "Trim Line - DO NOT DELETE")
				{
				obj.artLayers[i].remove();
				}
			} 
			catch (e) {
			}
		}
		for( var i = obj.layerSets.length-1; 0 <= i; i--) {
			removeAllNamedbyTLDONOTDELETEArtLayers(obj.layerSets[i]);
		}
		obj.save();
	}
	function SaveJPEG(saveFile, jpegQuality){
		jpgSaveOptions = new JPEGSaveOptions();
		jpgSaveOptions.embedColorProfile = true;
		jpgSaveOptions.formatOptions = FormatOptions.STANDARDBASELINE;
		jpgSaveOptions.matte = MatteType.NONE;
		jpgSaveOptions.quality = jpegQuality; //1-12
		activeDocument.saveAs(saveFile, jpgSaveOptions, true,Extension.LOWERCASE);
	}

	
	if(app.documents.length ==0){		
		var inputFolder = Folder.selectDialog("Please select the folder with Files to process",'');	
		var fileList = inputFolder.getFiles(/\.(jpg|jpe|gif|eps|dng|bmp|tif|tiff|psd|crw|cr2|rle|dib|cin|dpx|ps|pcd|pict|vda|icb|vst|wbm|sct|pbm|flm|psb|exr|pcx|pdp|nef|dcr|dc2|erf|raf|orf|tga|mrw|mos|srf|pic|pct|pxr|pdd|pef|png|x3f|raw|rw2)$/i);
		if(fileList.length>0){
			for(var i=0; i<fileList.length; i++){
				open(fileList[i]);
				removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);	
				var outFolder = Folder(decodeURI(inputFolder.fsName)+ "/Processed Album");
				if(!outFolder.exists) outFolder.create();
				var outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +".jpg"));
				if(outFile.exists){
					outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +"_"+Math.floor(Math.random()*100)+".jpg"));
				}
				SaveJPEG(outFile,12);
				app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
							
			}
		}
		
	}else{
		var curName = app.activeDocument.name;
		var inputFolder = Folder.selectDialog("Please select the folder with Files to process",'');	
		if(inputFolder !=null){
			var outFolder = Folder(decodeURI(inputFolder.fsName)+ "/Processed Album");
            if(!outFolder.exists) outFolder.create();
			for(var i=0;i<app.documents.length;i++){
				app.activeDocument = app.documents[i];
				removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);	
				var outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +".jpg"));
				if(outFile.exists){
					outFile = new File(decodeURI(outFolder.fsName+"/"+app.activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +"_"+Math.floor(Math.random()*100)+".jpg"));
				}
				SaveJPEG(outFile,12);
			}
			
			app.activeDocument = app.documents.getByName(curName);
		}
	}