	 var strtRulerUnits = app.preferences.rulerUnits; 
	 var strtTypeUnits = app.preferences.typeUnits; 
	 app.preferences.rulerUnits = Units.PIXELS; 
	 app.preferences.typeUnits = TypeUnits.PIXELS; 
	 var activeDoc = app.activeDocument;
	 app.backgroundColor = getColorAt(activeDoc, 1, 1);
	 
	 //open template file
	 var fileRef = File.openDialog ("Please Select Texture", "Select:*.psd");
     open (fileRef);
     fileRef = null;
	 removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);
	 
	var fromDoc = app.activeDocument;
	app.activeDocument = activeDoc;
	activeDoc_height = activeDoc.height;
	activeDoc_width = activeDoc.width;
	app.activeDocument.resizeCanvas(new UnitValue(200,'%'), new UnitValue(100,'%'), AnchorPosition.MIDDLERIGHT);
	app.activeDocument.resizeCanvas(new UnitValue(50,'%'), new UnitValue(100,'%'), AnchorPosition.MIDDLELEFT);
	app.activeDocument = fromDoc;
	doAddToSpread(fromDoc, activeDoc);
	app.activeDocument = activeDoc;
	app.activeDocument.resizeCanvas(new UnitValue(200,'%'), new UnitValue(100,'%'), AnchorPosition.MIDDLELEFT);
	
	function doAddToSpread(fromDoc, activeDoc) {
		app.activeDocument = fromDoc;
		selectAllLayers();
		app.activeDocument.activeLayer.duplicate(activeDoc);
		fromDoc.close(SaveOptions.DONOTSAVECHANGES);
		app.activeDocument = activeDoc;
	};
	
  	function selectAllLayers() {
		var desc111 = new ActionDescriptor();
        var ref23 = new ActionReference();
        ref23.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') );
		desc111.putReference( charIDToTypeID('null'), ref23 );
		executeAction( stringIDToTypeID('selectAllLayers'), desc111, DialogModes.NO );
	};

	function selectBounds(doc, b, type, feather, antialias) {
		  doc.selection.select([[ b[0], b[1] ],
								  [ b[2], b[1] ],
								  [ b[2], b[3] ],
								  [ b[0], b[3] ]],
								 type, feather, antialias);
	};

	function getColorAt(doc, x, y) {
		  // make new 1 pixel selection
		  x = Math.floor(x);
		  y = Math.floor(y);

		  selectBounds(doc, [x, y, x+1, y+1]);

		  try {
			function findPV(h) {
			  for (var i = 0; i <= 255; i++ ) {
				if (h[i]) { return i; }
			  }
			  return 0;
			}
			
			var pColour = new SolidColor();
			
			pColour.rgb.red   = findPV(doc.channels["Red"].histogram);
			pColour.rgb.green = findPV(doc.channels["Green"].histogram);
			pColour.rgb.blue  = findPV(doc.channels["Blue"].histogram);

		  } finally {
			doc.activeHistoryState = doc.historyStates[doc.historyStates.length-2]
		  }
		  return pColour;
	};
	/*
	//
	var nameList=[];
	if(!documents.length){
		alert("This preset requires a canvas to exist!");
		return;
	}
	for(var a = 0;a<activeDocument.layers.length;a++){
		activeDocument.activeLayer = activeDocument.layers[a];
		if(hasLayerMask()) nameList.push(activeDocument.layers[a].name);
	}
	deselectLayers();
	for (var z in nameList){
		addToSelection(nameList[z]);
	}
	*/
	/*
	guideLine(50,'Hrzn','#Prc' );
	guideLine(50,'Vrtc','#Prc' );

	guideLine(25,'Vrtc','#Prc' );
	guideLine(75,'Vrtc','#Prc' );
	app.purge(PurgeTarget.HISTORYCACHES);
	app.preferences.rulerUnits = strtRulerUnits; 
	app.preferences.typeUnits = strtTypeUnits;
	*/
	/*
	
	function deselectLayers() { 
		var desc01 = new ActionDescriptor(); 
			var ref01 = new ActionReference(); 
			ref01.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') ); 
		desc01.putReference( charIDToTypeID('null'), ref01 ); 
		executeAction( stringIDToTypeID('selectNoLayers'), desc01, DialogModes.NO ); 
	};

	function addToSelection(LName){
		var desc8 = new ActionDescriptor();
			var ref6 = new ActionReference();
			ref6.putName( charIDToTypeID('Lyr '), LName );
		desc8.putReference( charIDToTypeID('null'), ref6 );
		desc8.putEnumerated( stringIDToTypeID('selectionModifier'), stringIDToTypeID('selectionModifierType'), stringIDToTypeID('addToSelection') );
		desc8.putBoolean( charIDToTypeID('MkVs'), false );
		executeAction( charIDToTypeID('slct'), desc8, DialogModes.NO );
	};
	function hasLayerMask() {
		var ref = new ActionReference();
		ref.putEnumerated(charIDToTypeID("Lyr "), charIDToTypeID("Ordn"), charIDToTypeID("Trgt"));
		var desc = executeActionGet(ref);
		return desc.hasKey(charIDToTypeID("UsrM"));
	}
	*/
	function removeAllNamedbyTLDONOTDELETEArtLayers(obj) {
		for( var i = obj.artLayers.length-1; 0 <= i; i--) {
			try {
				if (obj.artLayers[i].name == "Trim Line - DO NOT DELETE")
				{
				obj.artLayers[i].remove();
				}
			} 
			catch (e) {
			}
		}
		for( var i = obj.layerSets.length-1; 0 <= i; i--) {
			removeAllNamedbyTLDONOTDELETEArtLayers(obj.layerSets[i]);
		}
		obj.save();
	}