﻿//khai bao ban dau                  
var TEXT_LABEL_TOP_TITLE = "Create Album Preview";
var TEXT_LABEL_CHOOSE_FOLDER = "Choose folder:";
var TEXT_NOTICE_FOLDER_DEFAULT = '';
var TEXT_NOTICE_FILELIST_EMPTY ="Not found file in folder.Plz try again.";
var TEXT_NOTICE_CHOOSE_FOLDER = "Please choose a folder.";
var TEXT_NOTICE_EXTENSION_FILE = "PSD";
var TEXT_NOTICE_ALERT_PROCESSED = "You have files waiting to be processed.";
var TEXT_NOTICE_WIDTH_NEW_DOCUMENT = 8;  //INCHES
var TEXT_NOTICE_HEIGHT_NEW_DOCUMENT = 10; //INCHES
var TEXT_NOTICE_NAME_NEW_DOCUMENT = 'Document Create Album Preview'; 
var TEXT_NOTICE_X_POSTON_DEFAULT = 70; //pixel
var TEXT_NOTICE_Y_POSTON_DEFAULT = 20; //pixel
var TEXT_SPACE_X = 30; //pixel
var TEXT_SPACE_Y = 20; //pixel

processesFiles();

function removeAllNamedbyTLDONOTDELETEArtLayers(obj) {
	for( var i = obj.artLayers.length-1; 0 <= i; i--) {
		try {
			if (obj.artLayers[i].name == "Trim Line - DO NOT DELETE")
			{
			obj.artLayers[i].remove();
			}
		} 
		catch (e) {
		}
	}
	for( var i = obj.layerSets.length-1; 0 <= i; i--) {
		removeAllNamedbyTLDONOTDELETEArtLayers(obj.layerSets[i]);
	}
	obj.save();
}
	
function SaveJPEG(saveFile, jpegQuality){
    jpgSaveOptions = new JPEGSaveOptions();
    jpgSaveOptions.embedColorProfile = true;
    jpgSaveOptions.formatOptions = FormatOptions.STANDARDBASELINE;
    jpgSaveOptions.matte = MatteType.NONE;
    jpgSaveOptions.quality = jpegQuality; //1-12
    activeDocument.saveAs(saveFile, jpgSaveOptions, true,Extension.LOWERCASE);
}

function processesFiles(){
    app.displayDialogs = DialogModes.NO;
    try{
        var dlg="dialog{text:'Script Interface',bounds:[100,100,470,260],"+
                            "panel0:Panel{bounds:[10,10,360,150] , text:'' ,properties:{borderStyle:'etched',su1PanelCoordinates:true},"+
                                "title:StaticText{bounds:[70,10,340,30] , text:'"+TEXT_LABEL_TOP_TITLE+"' ,properties:{scrolling:undefined,multiline:undefined}},"+   
                                "panel1:Panel{bounds:[10,40,335,125] , text:'' ,properties:{borderStyle:'etched',su1PanelCoordinates:true},"+   
                                    "lblChooseFolder:StaticText{bounds:[10,13,100,30] , text:'"+TEXT_LABEL_CHOOSE_FOLDER+"' ,properties:{scrolling:undefined,multiline:undefined}},"+
                                    "txtUrlFolder:EditText{bounds:[100,10,250,34] , text:'' ,properties:{multiline:false,noecho:false,readonly:false}},"+
                                    "btnBrowse:Button{bounds:[255,09,310,35] , text:'Browse' },"+
                                    "btnProcess:Button{bounds:[10,45,162,70] , text:'Process' },"+
                                    "btnCancel:Button{bounds:[167,45,310,70] , text:'Cancel' },"+
                                "},"+                            
                            "}"+ 
                        "},";
       
        var win = new Window(dlg,"www.FundySOS.com");   
        if(version.substr(0,version.indexOf('.'))>9){
            win.panel0.title.graphics.font = ScriptUI.newFont("Arial","BOLD",20);
            g = win.graphics;
            var myBrush = g.newBrush(g.BrushType.SOLID_COLOR, [1.00, 1.00, 1.00, 1]);
            g.backgroundColor = myBrush;
            var myPen =g.newPen (g.PenType.SOLID_COLOR, [1.00, 0.00, 0.00, 1],lineWidth=1);
        }
        win.panel0.panel1.txtUrlFolder.enabled=false;
        
        
        //on click button Cancel
        win.panel0.panel1.btnCancel.onClick = function(){
           this.parent.parent.parent.close(1);
        }
    
        //on click button Browse
        win.panel0.panel1.btnBrowse.onClick = function() {
            if(win.panel0.panel1.txtUrlFolder.text!=""){
                choosed_folder = win.panel0.panel1.txtUrlFolder.text;
            }else{
                choosed_folder = TEXT_NOTICE_FOLDER_DEFAULT;
            }
            inputFolder = Folder.selectDialog("Please select the folder with Files to process",choosed_folder);	
            if(inputFolder !=null){
                win.panel0.panel1.txtUrlFolder.text =  decodeURI(inputFolder.fsName);
            }
        }
    
        //on click button Proccesss
        win.panel0.panel1.btnProcess.onClick = function() {            
            if(win.panel0.panel1.txtUrlFolder.text != ""){
                var str = "\\."+TEXT_NOTICE_EXTENSION_FILE.toLowerCase()+"$"; //filetype
                var fileMask = new RegExp(str, "i");
                var fileList = inputFolder.getFiles(fileMask);
                if(fileList.toString() == ''){                    
                    alert(TEXT_NOTICE_FILELIST_EMPTY);
                }else{
                    win.close ();
                    //Tao document moi  
                    var strtRulerUnits = app.preferences.rulerUnits;
                    app.preferences.rulerUnits = Units.INCHES;
                    var newDocumentRef = app.documents.add(TEXT_NOTICE_WIDTH_NEW_DOCUMENT, TEXT_NOTICE_HEIGHT_NEW_DOCUMENT, 72.0, TEXT_NOTICE_NAME_NEW_DOCUMENT, NewDocumentMode.RGB,DocumentFill.WHITE);
                    newDocumentRef = null;
                    app.preferences.rulerUnits = strtRulerUnits;
                    //get vi tri active document  lam viec
                    var numSelected = 0;
                    for(var k=0; k<documents.length; k++){
                        app.activeDocument = documents[k];
                        if(TEXT_NOTICE_NAME_NEW_DOCUMENT == app.activeDocument.name){
                            numSelected = k;
                            break;
                        }
                    }
                    app.activeDocument = documents[numSelected];
                    
                    var linksOutput = win.panel0.panel1.txtUrlFolder.text;
                    var PreviewFolder = Folder(decodeURI(linksOutput)+ "/Album Preview");
                    if(!PreviewFolder.exists) PreviewFolder.create();      
                    var number_loop = fileList.length;
                    if(number_loop>31){
                        number_loop = 31;
                    }
                
                    var images_preview_save = new File(decodeURI(linksOutput+"/Album Preview/"+"Preview.jpg"));
                    app.preferences.rulerUnits = Units.PIXELS;
                    var Colour = new SolidColor();
                    Colour.rgb.hexValue = 'ffffff';
                    var m = 0;
					var numrow=1;
					var numpage=0;
                    for(var i=0; i<fileList.length; i++){
                        open(fileList[i]); 
						removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);
                        app.activeDocument.selection.selectAll();
                        var DocBounds = app.activeDocument.selection.bounds;
                        var newHeight = Math.round(DocBounds[3])+1;
                        var newWidth = Math.round(DocBounds[2])+1;      
                        app.backgroundColor=Colour;
                        app.activeDocument.resizeCanvas(newWidth,newHeight, AnchorPosition.MIDDLECENTER);
                        var images_save = new File(decodeURI(linksOutput+"/Album Preview/"+activeDocument.name.substring (0, activeDocument.name.lastIndexOf ('.')) +"_pv.jpg"));
                        SaveJPEG(images_save,11);
                        app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
                        open(images_save);
                        app.activeDocument = documents[documents.length-1];
						
                        var res = activeDocument.resolution;
						app.activeDocument.selection.selectAll();
						var doc_bounds = app.activeDocument.selection.Bounds;
						var doc_height = app.activeDocument.height;
						var doc_width = app.activeDocument.width;
						var ty_le = app.activeDocument.height/app.activeDocument.width;
						
						var heightOfArea=100;
						var widthOfArea=120;
					
						// resize image cho dung cho cung kich thuoc voi cac image khac
						if(ty_le>1){
							app.activeDocument.resizeImage(new UnitValue(heightOfArea/ty_le,'px'), new UnitValue(heightOfArea,'px'), res, ResampleMethod.BICUBICSHARPER);
						}
						else{
							app.activeDocument.resizeImage(new UnitValue(widthOfArea,'px'), new UnitValue(widthOfArea*ty_le,'px'), res, ResampleMethod.BICUBICSHARPER);
						}
						
						/*if(doc_height>doc_width){
						var ty_le=doc_height/heightOfArea;
							app.activeDocument.resizeImage(new UnitValue(Math.round(doc_width/ty_le),'px'), new UnitValue(heightOfArea,'px'), res, ResampleMethod.BICUBICSHARPER);
						}
						else{
							var ty_le=doc_width/heightOfArea;
							app.activeDocument.resizeImage(new UnitValue(widthOfArea,'px'), new UnitValue(Math.round(doc_height/ty_le),'px'), res, ResampleMethod.BICUBICSHARPER);
						}*/
						//border for image
						Colour.rgb.hexValue = '000000';
						app.activeDocument.selection.selectAll();
                        var DocBounds = app.activeDocument.selection.bounds;
                        var newHeight = Math.round(DocBounds[3])+2;
                        var newWidth = Math.round(DocBounds[2])+2;      
                        app.backgroundColor=Colour;
                        app.activeDocument.resizeCanvas(newWidth,newHeight, AnchorPosition.MIDDLECENTER);
						//end
                        app.activeDocument.flatten();
                        app.activeDocument.selection.selectAll();
                        app.activeDocument.selection.copy();    
                        app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
						//tao tai lieu moi o day 
						if(i%3==0 && i>0){      
                            TEXT_NOTICE_Y_POSTON_DEFAULT += heightOfArea+TEXT_SPACE_Y;
                            m = 0;
                        }                        
                        var x_new = TEXT_NOTICE_X_POSTON_DEFAULT+m*TEXT_SPACE_X+widthOfArea*m;      
                        m++;
						numrow++;
						
						if((TEXT_NOTICE_Y_POSTON_DEFAULT+heightOfArea)>app.activeDocument.height){
							 
							//Close tai lieu nay va Open mot new doc 
							SaveJPEG(images_preview_save,11);
							app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);	
							//open(images_preview_save);
							
							//Tao document moi
							TEXT_NOTICE_X_POSTON_DEFAULT = 70; //pixel
							TEXT_NOTICE_Y_POSTON_DEFAULT = 20; //pixel
							numpage++;	
							var strtRulerUnits = app.preferences.rulerUnits;
							app.preferences.rulerUnits = Units.INCHES;
							var newDocumentRef = app.documents.add(TEXT_NOTICE_WIDTH_NEW_DOCUMENT, TEXT_NOTICE_HEIGHT_NEW_DOCUMENT, 72.0, TEXT_NOTICE_NAME_NEW_DOCUMENT, NewDocumentMode.RGB,DocumentFill.WHITE);
							newDocumentRef = null;
							app.preferences.rulerUnits = strtRulerUnits;
							/*
							//get vi tri active document  lam viec
							var numSelected = 0;
							for(var k=0; k<documents.length; k++){
								app.activeDocument = documents[k];
								if(TEXT_NOTICE_NAME_NEW_DOCUMENT == app.activeDocument.name){
									numSelected = k;
									break;
								}
							}
							*/
							app.activeDocument = documents[numSelected];
							
							images_preview_save = new File(decodeURI(linksOutput+"/Album Preview/"+"Preview"+numpage+".jpg"));
							/*
							app.preferences.rulerUnits = Units.PIXELS;
							var Colour = new SolidColor();
							Colour.rgb.hexValue = 'ffffff';
							*/
							
						}
						
							
                        app.activeDocument = documents[numSelected];
                        app.activeDocument.paste();
                        app.activeDocument.activeLayer = app.activeDocument.layers[0];
                        var bounds_active_layer = app.activeDocument.activeLayer.bounds;
                        
                        /*                  
                        if(i%3==0 && i>0){      
                            TEXT_NOTICE_Y_POSTON_DEFAULT += heightOfArea+TEXT_SPACE_Y;
                            m = 0;
                        }                        
                        var x_new = TEXT_NOTICE_X_POSTON_DEFAULT+m*TEXT_SPACE_X+widthOfArea*m;      
                        m++;
						numrow++;
						*/
                        app.activeDocument.activeLayer.translate(new UnitValue(x_new-bounds_active_layer[0].as('px'),'px'), new UnitValue(TEXT_NOTICE_Y_POSTON_DEFAULT-bounds_active_layer[1].as('px'),'px'));// move the layer
                        images_save.remove();
						
                    } 
                    SaveJPEG(images_preview_save,11);
                    //app.activeDocument.close(SaveOptions.DONOTSAVECHANGES); 
                    open(images_preview_save);
                }
            }else{
                alert(TEXT_NOTICE_CHOOSE_FOLDER);
            }
        }   
    
        win.center();
        win.show();
    }catch(e){       
    }
}