
	 var strtRulerUnits = app.preferences.rulerUnits; 
	 var strtTypeUnits = app.preferences.typeUnits; 
	 app.preferences.rulerUnits = Units.PIXELS; 
	 app.preferences.typeUnits = TypeUnits.PIXELS; 
	 var activeDoc = app.activeDocument;
	 app.backgroundColor = getColorAt(activeDoc, 1, 1);
	 
	 //open template file
	var fileRef = File.openDialog ("Please Select Texture", "Select:*.psd");
    open (fileRef);
    fileRef = null;
	removeAllNamedbyTLDONOTDELETEArtLayers(app.activeDocument);
	
	//add to right
	var fromDoc = app.activeDocument;
	app.activeDocument = activeDoc;
	activeDoc_height = activeDoc.height;
	activeDoc_width = activeDoc.width;
	app.activeDocument.resizeCanvas(activeDoc_width / 2, activeDoc_height, AnchorPosition.MIDDLERIGHT);
	app.activeDocument = fromDoc;
	doAddToSpread(fromDoc, activeDoc);
	app.activeDocument = activeDoc;
	app.activeDocument.resizeCanvas(new UnitValue(200,'%'), new UnitValue(100,'%'), AnchorPosition.MIDDLERIGHT);
	
	//
	function doAddToSpread(fromDoc, activeDoc) {

		app.activeDocument = fromDoc;
		fromDoc_heigt = fromDoc.height;
		fromDoc_width = fromDoc.width;
		fromDoc_resolution = fromDoc.resolution;
		fromDoc_rate = fromDoc_heigt/fromDoc_width;

		activeDoc_heigt = activeDoc.height;
		activeDoc_width = activeDoc.width;
		activeDoc_resolution = activeDoc.resolution;
		activeDoc_rate = activeDoc_heigt/activeDoc_width;
		
		new_height = fromDoc.height;
		new_width = fromDoc.width;
								
		if ((fromDoc_heigt == activeDoc_heigt) && (fromDoc_width == activeDoc_width)) {
			selectAllLayers();
			app.activeDocument.activeLayer.duplicate(activeDoc);
			fromDoc.close(SaveOptions.DONOTSAVECHANGES);
		} else {
			if (fromDoc_heigt >= activeDoc_heigt) {
				if (fromDoc_width >= activeDoc_width) {
					if (fromDoc_rate > activeDoc_rate) {
						new_height = activeDoc_heigt;
						new_width = fromDoc_width * new_height/fromDoc_heigt;
					} else {
						new_width = activeDoc_width;
						new_height = fromDoc_heigt * new_width/fromDoc_width;
					}
					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(new_width, new_height, AnchorPosition.MIDDLECENTER);
					app.activeDocument = fromDoc;
					app.activeDocument.resizeImage(new_width, new_height, fromDoc_resolution);
					selectAllLayers();
					app.activeDocument.activeLayer.duplicate(activeDoc);
					fromDoc.close(SaveOptions.DONOTSAVECHANGES);
					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(activeDoc_width, activeDoc_heigt, AnchorPosition.MIDDLECENTER);
				} else {
					new_height = activeDoc_heigt;
					new_width = activeDoc_width * new_height/fromDoc_heigt;

					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(new_width, new_height, AnchorPosition.MIDDLECENTER);
					app.activeDocument = fromDoc;
					app.activeDocument.resizeImage(new_width, new_height, fromDoc_resolution);
					selectAllLayers();
					app.activeDocument.activeLayer.duplicate(activeDoc);
					fromDoc.close(SaveOptions.DONOTSAVECHANGES);
					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(activeDoc_width, activeDoc_heigt, AnchorPosition.MIDDLECENTER);
				}
			} else {
				if (fromDoc_width < activeDoc_width) {
					new_height = fromDoc_heigt;
					new_width = fromDoc_width;

					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(new_width, new_height, AnchorPosition.MIDDLECENTER);
					app.activeDocument = fromDoc;
					selectAllLayers();
					app.activeDocument.activeLayer.duplicate(activeDoc);
					fromDoc.close(SaveOptions.DONOTSAVECHANGES);
					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(activeDoc_width, activeDoc_heigt, AnchorPosition.MIDDLECENTER);
				} else {
					if (fromDoc_rate > activeDoc_rate) {
						new_width = fromDoc_width;
						new_height = fromDoc_heigt * new_width/activeDoc_width;
					} else {
						new_height = fromDoc_heigt;
						new_width = fromDoc_width * new_width/activeDoc_heigt;
					}

					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(new_width, new_height, AnchorPosition.MIDDLECENTER);
					app.activeDocument = fromDoc;
					app.activeDocument.resizeImage(new_width, new_height, fromDoc_resolution);
					selectAllLayers();
					app.activeDocument.activeLayer.duplicate(activeDoc);
					fromDoc.close(SaveOptions.DONOTSAVECHANGES);
					app.activeDocument = activeDoc;
					app.activeDocument.resizeCanvas(activeDoc_width, activeDoc_heigt, AnchorPosition.MIDDLECENTER);
				}			
			}
		}	
	};
	
  	function selectAllLayers() {
		var desc111 = new ActionDescriptor();
        var ref23 = new ActionReference();
        ref23.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') );
		desc111.putReference( charIDToTypeID('null'), ref23 );
		executeAction( stringIDToTypeID('selectAllLayers'), desc111, DialogModes.NO );
	};

	function selectBounds(doc, b, type, feather, antialias) {
		  doc.selection.select([[ b[0], b[1] ],
								  [ b[2], b[1] ],
								  [ b[2], b[3] ],
								  [ b[0], b[3] ]],
								 type, feather, antialias);
	};

	function getColorAt(doc, x, y) {
		  // make new 1 pixel selection
		  x = Math.floor(x);
		  y = Math.floor(y);

		  selectBounds(doc, [x, y, x+1, y+1]);

		  try {
			function findPV(h) {
			  for (var i = 0; i <= 255; i++ ) {
				if (h[i]) { return i; }
			  }
			  return 0;
			}
			
			var pColour = new SolidColor();
			
			pColour.rgb.red   = findPV(doc.channels["Red"].histogram);
			pColour.rgb.green = findPV(doc.channels["Green"].histogram);
			pColour.rgb.blue  = findPV(doc.channels["Blue"].histogram);

		  } finally {
			doc.activeHistoryState = doc.historyStates[doc.historyStates.length-2]
		  }
		  return pColour;
	};
	
	/*
	//
	var nameList=[];
	if(!documents.length){
		alert("This preset requires a canvas to exist!");
		return;
	}
	for(var a = 0;a<activeDocument.layers.length;a++){
		activeDocument.activeLayer = activeDocument.layers[a];
		if(hasLayerMask()) nameList.push(activeDocument.layers[a].name);
	}
	deselectLayers();
	for (var z in nameList){
		addToSelection(nameList[z]);
	}
	*/
	guideLine(50,'Hrzn','#Prc' );
	guideLine(50,'Vrtc','#Prc' );

	guideLine(25,'Vrtc','#Prc' );
	guideLine(75,'Vrtc','#Prc' );
	app.purge(PurgeTarget.HISTORYCACHES);
	app.preferences.rulerUnits = strtRulerUnits; 
	app.preferences.typeUnits = strtTypeUnits; 
	/*
	
	function deselectLayers() { 
		var desc01 = new ActionDescriptor(); 
			var ref01 = new ActionReference(); 
			ref01.putEnumerated( charIDToTypeID('Lyr '), charIDToTypeID('Ordn'), charIDToTypeID('Trgt') ); 
		desc01.putReference( charIDToTypeID('null'), ref01 ); 
		executeAction( stringIDToTypeID('selectNoLayers'), desc01, DialogModes.NO ); 
	};

	function addToSelection(LName){
		var desc8 = new ActionDescriptor();
			var ref6 = new ActionReference();
			ref6.putName( charIDToTypeID('Lyr '), LName );
		desc8.putReference( charIDToTypeID('null'), ref6 );
		desc8.putEnumerated( stringIDToTypeID('selectionModifier'), stringIDToTypeID('selectionModifierType'), stringIDToTypeID('addToSelection') );
		desc8.putBoolean( charIDToTypeID('MkVs'), false );
		executeAction( charIDToTypeID('slct'), desc8, DialogModes.NO );
	};
	function hasLayerMask() {
		var ref = new ActionReference();
		ref.putEnumerated(charIDToTypeID("Lyr "), charIDToTypeID("Ordn"), charIDToTypeID("Trgt"));
		var desc = executeActionGet(ref);
		return desc.hasKey(charIDToTypeID("UsrM"));
	}
	*/